Subject: Building Cygwin source on a NT4 PII
From: [email-masked] (mozza)

27 Nov 1998 19:12:42 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7BIT
To: [email-masked]

Hello, I'm having trouble re-building the Cygwin B20 source - it's my 
first time, please be patient...

I'm not really sure which bits of information are important, so I've 
included bits that seem important.

I'm using a PII 233, Windows NTSP3, Cygwin B20 (full.exe), FAQ 
The Cygwin Project FAQ 20.1 for Release B20.0.

No additional downloads or patches, no files edited either.

I've followed the instructions in the FAQ (to the letter, using the 
same directories etc.), as in:

***
How do I rebuild the tools on my NT box?

Assuming that you have the src installed as /src, will build in the 
directory /obj, and want to install the tools in /install: 

bash
cd /obj
/src/configure --prefix=/install -v > configure.log 2>&1
make > make.log 2>&1
make install > install.log 2>&1

***

For a start, I don't seem to have cp.exe in the /obj.../bin directory, 
or loads of others exe's.

The OBJ direcotry is about 155MB
The install directory is about 9MB

So what's the secret?

Help!

Is there a HOW-TO or some other information I need.

My eventual goal is to compile NT Emacs from source under 
Cygwin and remove the dependancy on MSVC...

Here's the beginning of my configure.log

Configuring for a i686-pc-cygwin32 host.
*** This configuration is not supported in the following 
subdirectories:
     send-pr gprof texinfo target-gperf
    (Any other directories should still work fine.)
Created "Makefile" in /obj using "mh-frag"
Configuring intl...
loading cache ../config.cache
checking for a BSD compatible install... /cygnus/CYGWIN~1/H-
I586~1/bin/install -c
checking how to run the C preprocessor... gcc -E
checking whether make sets ${MAKE}... yes